;;; Plugin  : Chalk Board Writer
;;; Author  : Rod Detmer
;;; Date    : August 1st 2012
;;; Revision: None
;;; 					
;;; Version : 1.0
;;; Latest version at: http://www.gimpchat.com/viewtopic.php?f=9&t=4858&p=60447#p60447
;;; Required : Gimp 2.8 or later
;;;
;;; Description: 
;;; Creates a chalk board writing effect from an open image
;;; -----------------------------------------------------------------------------
;;;
;;; License:
;;; This program is free software; you can redistribute it and/or modify
;;; it under the terms of the GNU General Public License as published by
;;; the Free Software Foundation; either version 2 of the License, or
;;; (at your option) any later version.
;;; 
;;; This program is distributed in the hope that it will be useful,
;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;; GNU General Public License for more details.
;;; 
;;; You should have received a copy of the GNU General Public License
;;; along with this program; if not, write to the Free Software
;;; Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

(define (script-fu-chalk-board-writer-v-02 image layer)
  (gimp-image-undo-group-start image)
  ;(gimp-brightness-contrast layer 30 0)
  ;(plug-in-oilify-enhanced RUN-NONINTERACTIVE image layer 0 9 layer 9 layer)
  (plug-in-neon RUN-NONINTERACTIVE  image layer 1.47 0.02)
  (gimp-brightness-contrast layer -22 5)
  (plug-in-spread RUN-NONINTERACTIVE image layer 4 4)
  (plug-in-neon RUN-NONINTERACTIVE  image layer 4.81 0.08)
  (gimp-displays-flush image)
  (gimp-image-undo-group-end image)
  
)

(script-fu-register
 "script-fu-chalk-board-writer-v-02"
 "<Image>/Rod/Artistic/Chalk Board Writer 2"
 "creates a chalkboard effect "
 "Rod Detmer"
 "Rod Detmer"
 "August 2012" 
 "RGB* GRAY* INDEXED*"
 SF-IMAGE "The Image" 0
 SF-DRAWABLE "The Layer" 0
)