;;; Plugin  : Shredded Text
;;; Author  : Rod Detmer
;;; Date    : August 6th 2012
;;; Revision: 1.0
;;; 					
;;; Version : 1.0
;;; Latest version at: http://www.gimpchat.com
;;; Required : Gimp 2.8 or later
;;;
;;; Description: 
;;; Creates a shredded steel text effect on your text colored #666666
;;; -----------------------------------------------------------------------------
;;; Change Log:
;;; Version-1.0
;;;
;;; License:
;;; This program is free software; you can redistribute it and/or modify
;;; it under the terms of the GNU General Public License as published by
;;; the Free Software Foundation; either version 2 of the License, or
;;; (at your option) any later version.
;;; 
;;; This program is distributed in the hope that it will be useful,
;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;; GNU General Public License for more details.
;;; 
;;; You should have received a copy of the GNU General Public License
;;; along with this program; if not, write to the Free Software
;;; Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

(define (script-fu-chiselled-steel-text image layer CenterX CenterY Bevel Noise HL-Mode ShadowMode)
  (gimp-image-undo-group-start image)
  (gimp-context-set-foreground '(102 102 102))
  (gimp-image-select-item image 0 layer)
  (gimp-edit-bucket-fill layer 0 0 100 255 1 1 1) 

  (python-layer-fx-bevel-emboss 1 image layer 1 65 0 Bevel 0 120 30 1 '(255 255 255) HL-Mode 73 '(0 0 0) ShadowMode 38 0 0 "Warning!" 100 100 0 0)
  (plug-in-hsv-noise RUN-NONINTERACTIVE image layer 4 0 0 Noise)
  (gimp-image-select-item image 0 layer)
  (gimp-layer-resize-to-image-size layer)
  (plug-in-mblur RUN-NONINTERACTIVE image layer 0 12 0 CenterX CenterY) 
  (plug-in-hsv-noise RUN-NONINTERACTIVE image layer 3 0 0 Noise)
  ;(script-fu-chisel RUN-NONINTERACTIVE image layer 30 0 2 120 30 Bevel 0 0 0 0)  
  (gimp-brightness-contrast layer 70 87)
  ;(script-fu-drop-shadow RUN-NONINTERACTIVE image layer 5 5 0 '(0 0 0) 69 0)
  (python-layer-fx-drop-shadow 0 image layer '(0 0 0) 40 0 0 0 0 5 120 5 1 0)
  ;(gimp-selection-all image)

  (gimp-image-get-active-layer image)
  (gimp-layer-resize-to-image-size layer)
  (gimp-selection-clear image)
  (gimp-selection-none image)
  (gimp-context-set-foreground '(0 0 0))
  (gimp-context-set-background '(255 255 255))     
  (gimp-image-undo-group-end image)  
  (gimp-displays-flush image)
)

(script-fu-register
 "script-fu-chiselled-steel-text"
 "<Image>/Rod/Alpha to Logo/Chiselled Steel"
 "Creates a steel chiselled grainy effect on text/shape on a transparent layer. The already entered settings in inputs are rocomended for best results in this persons opinion"
 "Rod Detmer"
 "Rod Detmer"
 "August 2012" 
 "RGB* GRAY* INDEXED*"
 SF-IMAGE "The Image" 0
 SF-DRAWABLE "The Layer" 0
 SF-ADJUSTMENT "Grain" '(7 0 255 1 10 0 SF-SLIDER)
 SF-ADJUSTMENT "Bevel Size" '(23 1 1000 1 10 0 SF-SLIDER)
 SF-ADJUSTMENT "Grain Blur" '(45 0 250 1 10 0 SF-SPINNER)
 SF-ADJUSTMENT "Grain Angle" '(90 0 360 1 10 0 SF-SPINNER)
 SF-ENUM "Hilite Layer mode" '("LayerModeEffects" "screen-mode")   
 SF-ENUM "Shadow Layer mode" '("LayerModeEffects" "multiply-mode")   
 ;SF-OPTION	   "Hilite Mode" '("Normal" "Dissolve" "Multiply" "Divide" "Screen" "Overlay" "Dodge" "Burn" "Hard Light" "Soft Light" "Grain Extract" "Grain Merge" "Difference" "Addition" "Subtract" "Darken Only" "Lighten Only" "Hue" "Saturation" "Color" "Value")
 ;SF-OPTION	   "Shadow Mode" '("Normal" "Dissolve" "Multiply" "Divide" "Screen" "Overlay" "Dodge" "Burn" "Hard Light" "Soft Light" "Grain Extract" "Grain Merge" "Difference" "Addition" "Subtract" "Darken Only" "Lighten Only" "Hue" "Saturation" "Color" "Value")
)
