;;; Description: 
;;; Creates a painting stroke effect from an image.
;;; -----------------------------------------------------------------------------
;;; Change Log:
;;; Version-1.0
;;; November 2015
; Information can be found at GimpChat.com
;
; License: GPLv3
; This program is free software: you can redistribute it and/or modify
; it under the terms of the GNU General Public License as published by
; the Free Software Foundation, either version 3 of the License, or
; (at your option) any later version.
;
; This program is distributed in the hope that it will be useful,
; but WITHOUT ANY WARRANTY; without even the implied warranty of
; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
; GNU General Public License for more details.
;
; To view a copy of the GNU General Public License
; visit: http://www.gnu.org/licenses/gpl.html

(define (script-fu-paint-strokes-random_RD image drawable strokewidth strokeintensity paintcontrast)
   (gimp-context-push)
    (gimp-image-undo-group-start image)       
            (let* ((paintedlayer (car (gimp-layer-new-from-visible image image "Painted layer"))))
			
			; Script body start
			
			   ;copy the visible image to a new layer 
               (gimp-image-add-layer image paintedlayer 0)
			   ;begin paint effect on new layer
               (plug-in-neon RUN-NONINTERACTIVE image paintedlayer strokewidth strokeintensity)
			   (gimp-layer-set-mode paintedlayer  LAYER-MODE-NORMAL-LEGACY)
               (gimp-brightness-contrast paintedlayer 0 paintcontrast)
			(gimp-image-lower-item-to-bottom image paintedlayer)
						   (gimp-layer-set-mode drawable LAYER-MODE-HSV-HUE-LEGACY)
			; Script body end
		  ;display the new image
       (gimp-displays-flush image)	
			
       (gimp-context-pop)
       (gimp-image-undo-group-end image)
            )
 ) 
      ;register menu location and information   

      (script-fu-register "script-fu-paint-strokes-random_RD"
      "<Image>/Rod/Artistic/Paint Strokes Random"
      "Creates a paint stroke effect on your image"
      "Rod Detmer"
      "Rod Detmer"
      "November 2015"
      "RGB* GRAY*"	  
      SF-IMAGE       "The Image" 0
      SF-DRAWABLE    "The Drawable" 0
      SF-ADJUSTMENT "Stroke Width" '(20 0 64 1 1 0 1)	  
      SF-ADJUSTMENT "Stroke Intensity" '(1 0.00 1.00 1 1 0 1)
      SF-ADJUSTMENT "Contrast (higher = darker)" '(75 0 127 1 10 0 SF-Spinner)
      ;SF-ENUM "Paint Layer mode" '("LayerModeEffects" "darken-only-mode")   	  

      )